Bug 120406 - boot fails at intermittent spots
boot fails at intermittent spots
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-08 10:34 EDT by Terry Davis
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Davis 2004-04-08 10:34:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
I see the following behavior in both the 2140 and 2174 SMP kernels. 
Boot will sometimes work and sometimes not.  It also fails at
intermittent spots.  For example, it is not failing at Postfix start.
 10 minutes ago it failed at checking for new hardware.  Yesterday,
the 2174 smp kernel booted fine.  The single processor kernel works
fine all the time.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.22-1.2174.nptl

How reproducible:
Sometimes

Steps to Reproduce:
1. Choose 2174/2140 SMP kernel
2. Watch it fail at intermittent spots

Additional info:

The box is a Dell 1650

[root@plaut03 root]# uname -a
Linux plaut03.planetci.com 2.4.22-1.2140.nptl #1 Tue Jan 6 20:20:43
EST 2004 i686 i686 i386 GNU/Linux

[root@plaut03 root]# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 11
model name      : Intel(R) Pentium(R) III CPU - S         1400MHz
stepping        : 4
cpu MHz         : 1390.710
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
mca cmov pat pse36 mmx fxsr sse
bogomips        : 2778.72


[root@plaut03 root]# cat /proc/
Display all 123 possibilities? (y or n)
[root@plaut03 root]# cat /proc/pci
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: ServerWorks CNB20HE Host Bridge (rev 35).
      Master Capable.  Latency=32.
  Bus  0, device   0, function  1:
    Host bridge: ServerWorks CNB20HE Host Bridge (#2) (rev 1).
      Master Capable.  Latency=32.
  Bus  0, device   0, function  2:
    Host bridge: ServerWorks CNB20HE Host Bridge (rev 1).
      Master Capable.  Latency=32.
  Bus  0, device   0, function  3:
    Host bridge: ServerWorks CNB20HE Host Bridge (#2) (rev 1).
      Master Capable.  Latency=32.
  Bus  0, device  12, function  0:
    VGA compatible controller: ATI Technologies Inc Rage XL (rev 39).
      Master Capable.  Latency=32.  Min Gnt=8.
      Non-prefetchable 32 bit memory at 0xfd000000 [0xfdffffff].
      I/O at 0xec00 [0xecff].
      Non-prefetchable 32 bit memory at 0xfe101000 [0xfe101fff].
  Bus  0, device  15, function  0:
    Host bridge: ServerWorks CSB5 South Bridge (rev 147).
      Master Capable.  Latency=32.
  Bus  0, device  15, function  1:
    IDE interface: ServerWorks CSB5 IDE Controller (rev 147).
      Master Capable.  Latency=64.
      I/O at 0x8b0 [0x8bf].
  Bus  0, device  15, function  2:
    USB Controller: ServerWorks OSB4/CSB5 OHCI USB Controller (rev 5).
      IRQ 11.
      Master Capable.  Latency=32.  Max Lat=80.
      Non-prefetchable 32 bit memory at 0xfe100000 [0xfe100fff].
  Bus  0, device  15, function  3:
    ISA bridge: ServerWorks GCLE Host Bridge (rev 0).
  Bus  1, device   2, function  0:
    Ethernet controller: Intel Corp. 82544EI Gigabit Ethernet
Controller (Copper) (rev 2).
      IRQ 7.
      Master Capable.  Latency=32.  Min Gnt=255.
      Non-prefetchable 32 bit memory at 0xfeb60000 [0xfeb7ffff].
      Non-prefetchable 32 bit memory at 0xfeb40000 [0xfeb5ffff].
      I/O at 0xcce0 [0xccff].
  Bus  1, device   4, function  0:
    Ethernet controller: Intel Corp. 82544EI Gigabit Ethernet
Controller (Copper) (#2) (rev 2).
      IRQ 5.
      Master Capable.  Latency=32.  Min Gnt=255.
      Non-prefetchable 32 bit memory at 0xfeb20000 [0xfeb3ffff].
      Non-prefetchable 32 bit memory at 0xfeb00000 [0xfeb1ffff].
      I/O at 0xccc0 [0xccdf].
  Bus  1, device   8, function  0:
    PCI bridge: PCI device 8086:0309 (Intel Corp.) (rev 1).
      Master Capable.  Latency=32.  Min Gnt=6.
  Bus  1, device   8, function  1:
    RAID bus controller: Dell Computer Corporation PowerEdge
Expandable RAID Controller 3 (rev 1).
      IRQ 3.
      Master Capable.  Latency=32.
      Prefetchable 32 bit memory at 0xf0000000 [0xf7ffffff].
  Bus  2, device   6, function  0:
    SCSI storage controller: Adaptec RAID subsystem HBA (rev 1).
      IRQ 3.
      Master Capable.  Latency=32.  Min Gnt=40.Max Lat=25.
      I/O at 0xdc00 [0xdcff].
      Non-prefetchable 64 bit memory at 0xfe9ff000 [0xfe9fffff].
  Bus  2, device   6, function  1:
    SCSI storage controller: Adaptec RAID subsystem HBA (#2) (rev 1).
      IRQ 7.
      Master Capable.  Latency=32.  Min Gnt=40.Max Lat=25.
      I/O at 0xd800 [0xd8ff].
      Non-prefetchable 64 bit memory at 0xfe9fe000 [0xfe9fefff].
Comment 1 Dave Jones 2004-06-19 11:59:27 EDT
give it a run with memtest86 to rule out bad memory.

if it's failing in different places, that makes me suspect hardware.
Comment 2 David Lawrence 2004-09-29 16:17:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.